<template>
  <v-container>
    <v-form fast-fail @submit.prevent="submitForm" class="custom">
      <v-row>
        <v-col cols="6" md="3">
          <div class="custom-label">Reasuror </div>
          <v-combobox class="custom-combobox"   v-model="form.reasuror" :items="years"
            variant="outlined"></v-combobox>
          <div class="custom-label">Depo Tipi </div><br>
          <v-combobox class="custom-combobox"   v-model="form.depoTipi" :items="repo"
            variant="outlined"></v-combobox>
        </v-col>

        <v-col cols="6" md="3">
          <div class="custom-label">İşlem Tarihi </div>
          <v-text-field class="text-eureko"  :disabled="false" variant="outlined" v-model="form.islemTarihi"
            type="date"></v-text-field>
          <div class="custom-label">Döviz Cinsi </div><br>
          <v-combobox class="custom-combobox"   v-model="form.dovizCinsi" :items="currencies"
            variant="outlined"></v-combobox>
        </v-col>

      </v-row>
      <v-row>
        <v-col cols="12" md="12" justify="end" class="text-right">
          <custom-button style="width: 120px;margin-left: 10px" color="danger" size="medium" @click="clearFilterForm"
            val="Temizle" />
          <custom-button style="width: 120px;margin-left: 10px" color="primary" size="medium" @click="filter"
            val="Getir" />
        </v-col>
      </v-row>
    </v-form>
  </v-container>
</template>
<script>
import CustomButton from "@/components/custom-controller/CustomButton.vue";
import axios from 'axios';
import { ref} from 'vue'; 
export default {
  components: {
    CustomButton
  },
  setup() {
    const form = ref({
      reasuror: "",
      depoTipi: "",
      islemTarihi: "",
      dovizCinsi: ""
    });
    const repo =  ref(["repo", "repo"]);
    const currencies =  ref(["USD", "EUR", "GBP", "JPY", "CAD", "AUD", "CHF", "CNY", "NZD", "ZAR", "RUB", "BRL", "INR", "SGD", "SAR"]);
    const clearFilterForm = () => {
      this.$refs.reasurorFilterForm.reset();
      this.form.reasuror = "";
      this.form.depoTipi = "";
      this.form.islemTarihi = "";
      this.form.dovizCinsi = "";
    };
    const filter = () => {
      const filteredForm = Object.fromEntries(
        Object.entries(form).filter(entry => entry[1] !== null)
      );

      axios.get('https://example.com/api/filter', {
        params: filteredForm
      })
      .then(response => {
        console.log(response.data);
      })
      .catch(error => {
        console.error(error);
      });
    };

    return {
      form,
      repo,
      currencies,
      filter,
      clearFilterForm,
    };
  }
}
</script>